## ocamlformat 0.26.2

=== debian/changelog ===
ocamlformat (0.26.2-1build5) plucky; urgency=medium

  * No-change rebuild for OCaml ABI changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Nov 2024 13:55:00 +0100

ocamlformat (0.26.2-1build4) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2024 14:39:00 +0200

ocamlformat (0.26.2-1build3) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Sep 2024 21:49:03 +0200

ocamlformat (0.26.2-1build2) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Sep 2024 17:04:40 +0200

ocamlformat (0.26.2-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:50:39 +0200

ocamlformat (0.26.2-1) unstable; urgency=medium

  * Initial release (Closes: #1075934)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 12 Jul 2024 09:08:37 +0200

## ocamlformat 0.28.1

=== test-extra/Makefile ===
######################################################################
#                                                                    #
#                            OCamlFormat                             #
#                                                                    #
#  Copyright (c) 2017-present, Facebook, Inc.  All rights reserved.  #
#                                                                    #
#  This source code is licensed under the MIT license found in the   #
#  LICENSE file in the root directory of this source tree.           #
#                                                                    #
######################################################################

# To test all source files below a directory
#       make DIRS=<directory> test
# By default, test projects used as regression tests
DIRS= \
	code/ocamlformat code/js_of_ocaml code/dune code/irmin \
	code/dune-release code/mirage code/ppxlib code/base

# Extra test directories, for which looser checking is done
XDIRS=code/ocaml code/infer

# Directories to ignore (given to find, compared literally)
PRUNE_DIRS= \
	code/ocamlformat/test code/ocamlformat/vendor/parser-recovery \
	code/ocaml/experimental code/ocaml/testsuite/tests/parse-errors \
	code/dune/test code/dune/vendor code/dune/otherlibs code/dune/example \
	code/infer/sledge/vendor/llvm-dune code/mirage/test

ALL_DIRS=$(DIRS) $(XDIRS)

# To test using the dev or release executable
#       make MODE=<mode>
MODE?=default

code/%:
	@test -d code || mkdir code
	@test -d "$@" || git -C code clone "$(URI)"

code/ocamlformat: URI = ../../../ocamlformat
code/infer: URI = https://github.com/facebook/infer.git
code/js_of_ocaml: URI = https://github.com/ocsigen/js_of_ocaml.git
code/ocaml: URI = https://github.com/ocaml/ocaml.git
code/dune: URI = https://github.com/ocaml/dune.git
code/irmin: URI = https://github.com/mirage/irmin
code/mirage: URI = https://github.com/mirage/mirage
code/dune-release: URI = https://github.com/ocamllabs/dune-release
code/ppxlib: URI = https://github.com/ocaml-ppx/ppxlib
code/base: URI = https://github.com/janestreet/base.git

.PHONY: test_setup
test_setup: $(ALL_DIRS)

.PHONY: test
test: test_setup
	@echo "Running $(OCAMLFORMAT_EXE) with options '$(OCAMLFORMAT)'"
	@$(MAKE) test_inplace
	@-$(MAKE) test_extra

.PHONY: test_status
test_status:
	@for dir in $(ALL_DIRS); do \
	  echo ; echo $$dir; \
	  git -C $$dir status; \
	done

.PHONY: test_diff
test_diff:
	@for dir in $(ALL_DIRS); do \
	  git -C $$dir diff --no-ext-diff; \
	done

.PHONY: test_stage
test_stage:
	@for dir in $(ALL_DIRS); do \
	  git -C $$dir add .; \
	done

.PHONY: test_unstage
test_unstage:
	@for dir in $(ALL_DIRS); do \
	  git -C $$dir reset --quiet HEAD .; \
	done

.PHONY: test_clean
test_clean:
	@for dir in $(ALL_DIRS); do \
	  git -C $$dir checkout --quiet -- .; \
	  git -C $$dir clean --quiet -f; \
	done 2>/dev/null

.PHONY: test_pull
test_pull:
	@for dir in $(ALL_DIRS); do \
	  git -C $$dir pull --quiet; \
	done

FIND_ARGS= \
	-name _build -not -prune -or \
	$(patsubst %,-path % -not -prune -or,$(PRUNE_DIRS)) \
	-name '*.ml' -and -not -name '*.pp.ml' -or \
	-name '*.mli' -and -not -name '*.pp.mli'

.PHONY: test_inplace
test_inplace:
	@find $(DIRS) $(FIND_ARGS) | parallel "$(OCAMLFORMAT_EXE)" --no-version-check --enable-outside-detected-project --no-comment-check --quiet -i

.PHONY: test_extra
test_extra:
	@-find $(XDIRS) $(FIND_ARGS) | parallel "$(OCAMLFORMAT_EXE)" --no-version-check --enable-outside-detected-project --no-comment-check --quiet -i

.PHONY: test_margins
test_margins:
	@for i in {100..40}; do echo $$i; OCAMLFORMAT_MARGIN=$$i $(MAKE) test || break; done

.PHONY: apply_ocp
apply_ocp:
	@echo "Running ocp-indent with options '$(OCP_INDENT_CONFIG)'"
	@-find $(ALL_DIRS) $(FIND_ARGS) | parallel ocp-indent --config "$(OCP_INDENT_CONFIG)" --inplace

# Number of addition and deletion in each files in a parsable format
.PHONY: test_numstat
test_numstat:
	@for dir in $(ALL_DIRS); do git -C $$dir diff --numstat; done | { \
	tadd=0; tdel=0; \
	while read add del _; do tadd=$$((tadd + add)); tdel=$$((tdel + del)); done; \
	echo "Total: +$$tadd -$$tdel"; }

## ocamlformat 0.27.0

=== debian/changelog ===
ocamlformat (0.27.0-1build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2025 21:39:43 +0100

ocamlformat (0.27.0-1build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 22:36:28 +0100

ocamlformat (0.27.0-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:26:58 +0100

ocamlformat (0.27.0-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Jan 2025 18:05:16 +0100

ocamlformat (0.27.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 31 Dec 2024 18:08:17 +0100

=== debian/control ===
Source: ocamlformat
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml,
 ocaml-dune,
 menhir,
 libocp-indent-ocaml-dev,
 libstdio-ocaml-dev,
 libcsexp-ocaml-dev,
 libocaml-version-ocaml-dev,
 libcamlp-streams-ocaml-dev,
 libresult-ocaml-dev,
 libmenhir-ocaml-dev,
 libastring-ocaml-dev,
 libdune-ocaml-dev,
 libfpath-ocaml-dev,
 libre-ocaml-dev,
 libcmdliner-ocaml-dev,
 libuuseg-ocaml-dev,
 libalcotest-ocaml-dev <!nocheck>,
 ocp-indent <!nocheck>,
 dh-elpa,
 dh-ocaml (>= 2)
Standards-Version: 4.7.0
Rules-Requires-Root: no
Section: ocaml
Homepage: https://github.com/ocaml-ppx/ocamlformat
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocamlformat
Vcs-Git: https://salsa.debian.org/ocaml-team/ocamlformat.git

Package: ocamlformat
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Description: auto-formatter for OCaml code
 ocamlformat is a code formatter for OCaml. It comes with opinionated
 default settings but is also fully customizable to suit your coding
 style.
  - Profiles: ocamlformat offers profiles with predefined formatting
    configurations.
  - Configurable: Users can change the formatting profile and configure
    every option in their .ocamlformat configuration file.
  - Format Comments: ocamlformat can format comments, docstrings, and
    even code blocks in your comments.
  - RPC: ocamlformat provides an RPC server that can be used by other
    tools to easily format OCaml Code.

Package: libocamlformat-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Provides:
 ${ocaml:Provides},
Description: auto-formatter for OCaml code (development library)
 ocamlformat is a code formatter for OCaml. It comes with opinionated
 default settings but is also fully customizable to suit your coding
 style.
  - Profiles: ocamlformat offers profiles with predefined formatting
    configurations.
  - Configurable: Users can change the formatting profile and configure
    every option in their .ocamlformat configuration file.
  - Format Comments: ocamlformat can format comments, docstrings, and
    even code blocks in your comments.
  - RPC: ocamlformat provides an RPC server that can be used by other
    tools to easily format OCaml Code.
 .
 This package contains the development stuff needed to use the
 ocamlformat library in your programs.

Package: libocamlformat-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Provides:
 ${ocaml:Provides}
Description: auto-formatter for OCaml code (runtime library)
 ocamlformat is a code formatter for OCaml. It comes with opinionated
 default settings but is also fully customizable to suit your coding
 style.
  - Profiles: ocamlformat offers profiles with predefined formatting
    configurations.
  - Configurable: Users can change the formatting profile and configure
    every option in their .ocamlformat configuration file.
  - Format Comments: ocamlformat can format comments, docstrings, and
    even code blocks in your comments.
  - RPC: ocamlformat provides an RPC server that can be used by other
    tools to easily format OCaml Code.
 .
 This package contains the runtime library for programs using
 the ocamlformat library.

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/ocaml-ppx/ocamlformat/releases?per_page=50 \
https://github.com/ocaml-ppx/ocamlformat/releases/download/[^/]+/ocamlformat-@ANY_VERSION@.tbz

## ocamlformat 0.28.1

=== debian/changelog ===
ocamlformat (0.28.1-1build2) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 27 Jan 2026 22:08:44 +0100

ocamlformat (0.28.1-1build1) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 03 Jan 2026 09:35:48 +0100

ocamlformat (0.28.1-1) unstable; urgency=medium

  * New upstream release
  * Switch debian/watch to version 5
  * Bump Standards-Version to 4.7.2
  * Remove Rules-Requires-Root

 -- Stéphane Glondu <glondu@debian.org>  Fri, 19 Dec 2025 12:58:19 +0100

=== debian/control ===
--- 
+++ 
@@ -25,8 +25,7 @@
  ocp-indent <!nocheck>,
  dh-elpa,
  dh-ocaml (>= 2)
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Section: ocaml
 Homepage: https://github.com/ocaml-ppx/ocamlformat
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocamlformat
